Subject: Re: bug#64746: [PATCH 2/2] scripts: time-machine: Error when attempting to visit too old commits.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 10 Aug 2023 18:56:38 +0200

Hi,

Maxim Cournoyer <[email-masked]> skribis:

> Since we can't retroactively fix this kind of problem, it means we
> should find the oldest commit which is immune to that problem?

Timebombs (typically expired SSL certificates as in the Python case you
mention) can be worked around.  Currently it’s inconvenient at best
because you need to manually set up a VM or physical machine with its
date set to an older date, but it’s feasible.

For other problems, there’s (guix quirks), which can, to some extent,
let us retroactively fix problems, though that should be rare.

The <https://ci.guix.gnu.org/jobset/time-travel> job set, which uses
‘etc/time-travel-manifest.scm’, is supposed to test these things, but
apparently it’s been stuck for a while.  Needs investigation!

Ludo’.